﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace ChartMap
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            // setup chart
            mapChart.BeginUpdate();
            mapChart.View.AxisX.Min = -180;
            mapChart.View.AxisX.Max = 180;
            mapChart.View.AxisY.Min = -90;
            mapChart.View.AxisY.Max = 90;

            // hide axis line
            mapChart.View.AxisX.AxisLine = new Windows.UI.Xaml.Shapes.Line() { StrokeThickness = 0 };
            mapChart.View.AxisY.AxisLine = new Windows.UI.Xaml.Shapes.Line() { StrokeThickness = 0 };
            // hide axis labels
            mapChart.View.AxisX.AnnoPosition = C1.Xaml.Chart.AnnoPosition.None;
            mapChart.View.AxisY.AnnoPosition = C1.Xaml.Chart.AnnoPosition.None;

            // remove grid lines and tick marks
            mapChart.View.AxisX.MajorGridStrokeThickness = 0;
            mapChart.View.AxisX.MinorGridStrokeThickness = 0;
            mapChart.View.AxisY.MajorGridStrokeThickness = 0;
            mapChart.View.AxisX.MajorTickThickness = 0;
            mapChart.View.AxisX.MinorTickThickness = 0;
            mapChart.View.AxisY.MajorTickThickness = 0;
            mapChart.View.AxisY.MinorTickThickness = 0;

            mapChart.ChartType = C1.Xaml.Chart.ChartType.Bubble;
            Data.SampleDataSource dataSource = this.DataContext as Data.SampleDataSource;
            if (dataSource != null)
            {
                foreach (C1.Xaml.Chart.BubbleSeries bs in dataSource.SalesByRegion)
                {
                    bs.PointTooltipTemplate = this.Resources["lbl"] as DataTemplate;
                    mapChart.Data.Children.Add(bs);
                }
            }

            
            mapChart.EndUpdate();
        }
    }
}
